# Uses of Enum Class
javafx.scene.shape.DrawMode

Packages that use DrawMode
Package
Description
javafx.scene.shape
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.

## Uses of DrawMode in javafx.scene.shape

Methods in javafx.scene.shape that return DrawMode
Modifier and Type
Method
Description
`final DrawMode`
Shape3D.`getDrawMode()`
Gets the value of the `drawMode` property.
`static DrawMode`
DrawMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DrawMode[]`
DrawMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.shape that return types with arguments of type DrawMode
Modifier and Type
Method
Description
`final ObjectProperty<DrawMode>`
Shape3D.`drawModeProperty()`
Defines the draw mode used to render this `Shape3D`.
Methods in javafx.scene.shape with parameters of type DrawMode
Modifier and Type
Method
Description
`final void`
Shape3D.`setDrawMode(DrawMode value)`
Sets the value of the `drawMode` property.